CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002516CentOS-5virt-managerpublic2007-12-06 17:072010-06-03 22:09
ReporterAmr_not_Amr 
PrioritynormalSeveritymajorReproducibilityalways
StatusnewResolutionopen 
PlatformOSOS Version
Product Version5.1 
Target VersionFixed in Version 
Summary0002516: network manager at virt-manager doesn't work
DescriptionHello,
 I've a problem in CentOS 5.1 ... the virt-manager in CentOS 5, when creating new vm didn't have that step of choosing network interface and everything worked fine .. but now after update to 5.1, I cannot create any machines ... if I chose the "virtual network" options it doesn't work .. and I cannot choose the "shared physical interface" option .. as there is no options in its drop down menu and it tell me "You must select one of the physical devices" while there is none to choose from ...
Additional Information-uname -a
Linux xenhost.mine 2.6.18-53.1.4.el5xen #1 SMP Fri Nov 30 01:21:23 EST 2007 x86_64 x86_64 x86_64 GNU/Linux

-rpm -q xen
xen-3.0.3-41.el5


- rpm -q libvirt
libvirt-0.2.3-9.el5
libvirt-0.2.3-9.el5


-rpm -q virt-manager
virt-manager-0.4.0-3.el5


-lsmod
Module Size Used by
nfsd 284073 5
exportfs 38849 1 nfsd
lockd 97009 1 nfsd
nfs_acl 36673 1 nfsd
sunrpc 197129 7 nfsd,lockd,nfs_acl
xt_physdev 36049 2
ipt_MASQUERADE 36801 1
iptable_nat 40773 1
ip_nat 53101 2 ipt_MASQUERADE,iptable_nat
xt_state 35265 1
ip_conntrack 91237 4 ipt_MASQUERADE,iptable_nat,ip_nat,xt_state
nfnetlink 40457 2 ip_nat,ip_conntrack
ipt_REJECT 38849 2
xt_tcpudp 36416 4
iptable_filter 36161 1
ip_tables 55329 2 iptable_nat,iptable_filter
x_tables 50249 7 xt_physdev,ipt_MASQUERADE,iptable_nat,xt_state,ipt_REJECT,xt_tcpudp,ip_tables
netloop 40129 0
netbk 129025 0 [permanent]
blktap 148581 8 [permanent]
bridge 91889 1 xt_physdev
blkbk 53753 0 [permanent]
dm_multipath 52433 0
video 51273 0
sbs 49921 0
backlight 39873 0
i2c_ec 38593 1 sbs
i2c_core 56129 1 i2c_ec
button 40545 0
battery 43849 0
asus_acpi 50917 0
ac 38729 0
parport_pc 62313 0
lp 47121 0
parport 73293 2 parport_pc,lp
joydev 43969 0
ata_piix 49861 0
libata 160849 1 ata_piix
ide_cd 73441 0
pcspkr 36289 0
bnx2 190681 0
serio_raw 40517 0
shpchp 70509 0
sg 69737 0
serial_core 55233 0
cdrom 68713 1 ide_cd
dm_snapshot 50185 0
dm_zero 35265 0
dm_mirror 60105 0
dm_mod 95761 9 dm_multipath,dm_snapshot,dm_zero,dm_mirror
megaraid_sas 68093 3
sd_mod 56257 5
scsi_mod 186489 4 libata,sg,megaraid_sas,sd_mod
ext3 166737 3
jbd 93745 1 ext3
ehci_hcd 65357 0
ohci_hcd 54621 0
uhci_hcd 57561 0


-cat /etc/modprobe.conf
alias eth0 bnx2
alias eth1 bnx2
alias scsi_hostadapter megaraid_sas

TagsNo tags attached.
Attached Filespatch file icon connection.py.patch [^] (1,248 bytes) 2008-03-10 00:37 [Show Content]

- Relationships
has duplicate 0002807closedkbsingh@karan.org The system offers to share a physical network device, but there no way to select one 

-  Notes
(0006628)
miscreant (reporter)
2008-01-02 09:08

I'm seeing the same issue here.

Linux my.xen.box 2.6.18-53.1.4.el5xen #1 SMP Fri Nov 30 01:53:35 EST 2007 i686 i686 i386 GNU/Linux

same kernel version and rpm versions as Amr_not_Amr, only i386 not x86_64.

I'm using e1000 nic's though:
03:07.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 01)
03:07.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 01)
(0007008)
uranys (reporter)
2008-03-10 00:36

On a fresh install of 5.1 the shared physical device drop down was empty for me. Looking in .virt-manager/virt-manager.log revealed the following exception:

Sun, 09 Mar 2008 20:24:08 ERROR Unable to connect to HAL to list network devi
ces: '%s'dbus_bindings.DBusException A security policy in place prevents this se
nder from sending this message to this recipient, see message bus configuration
file (rejected message had interface "(unset)" member "QueryCapability" error na
me "(unset)" destination "org.freedesktop.Hal")
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/connection.py", line 104, in detect_
network_devices
    self._device_added(path)
  File "/usr/share/virt-manager/virtManager/connection.py", line 115, in _device
_added
    if obj.QueryCapability("net"):
  File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 25, in __call__
    ret = self._proxy_method (*args, **keywords)
  File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 102, in __call__
    reply_message = self._connection.send_with_reply_and_block(message, timeout)
  File "dbus_bindings.pyx", line 455, in dbus_bindings.Connection.send_with_repl
y_and_block
DBusException: A security policy in place prevents this sender from sending this
 message to this recipient, see message bus configuration file (rejected message
 had interface "(unset)" member "QueryCapability" error name "(unset)" destinati
on "org.freedesktop.Hal")

Attached is a patch for /usr/share/virt-manager/virtManager/connection.py that fixed it for me.
(0007053)
foxb (reporter)
2008-03-22 15:58

Patch fixed it for me too.

I'll just add howto apply patch for newbies:

cd /usr/share/virt-manager/virtManager/
patch -p0 < connection.py.patch
(0007240)
guggi (reporter)
2008-05-08 15:46

uname -a
Linux 2.6.18-53.1.14.el5xen #1 SMP Wed Mar 5 12:08:17 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

rpm -qa xen
xen-3.0.3-41.el5

rpm -q libvirt
libvirt-0.2.3-9.el5
libvirt-0.2.3-9.el5


rpm -q virt-manager
virt-manager-0.4.0-3.el5.1


patch fixed the issue for virt-manager-0.4.0-3.el5, but as u can see im using virt-manager-0.4.0-3.el5.1

patch -p0 < connection.py.patch
patching file connection.py
Hunk #1 FAILED at 112.
Hunk #2 FAILED at 124.
2 out of 2 hunks FAILED -- saving rejects to file connection.py.rej
(0011411)
jm77 (reporter)
2010-06-03 21:48

# cat /etc/redhat-release
CentOS release 5.5 (Final)

# rpm -q virt-manager
virt-manager-0.6.1-12.el5

# rpm -q libvirt
libvirt-0.6.3-33.el5
libvirt-0.6.3-33.el5

# patch -p0 < /opt/src/connection.py.patch
patching file connection.py
Hunk #1 FAILED at 112.
Hunk #2 FAILED at 124.
2 out of 2 hunks FAILED -- saving rejects to file connection.py.rej

From /root/.virt-manager/virt-manager.log --

[Thu, 03 Jun 2010 16:44:40 virt-manager 5148] INFO (virt-manager:144) Application startup
[Thu, 03 Jun 2010 16:44:40 virt-manager 5149] DEBUG (engine:84) About to connect to uris ['qemu:///system']
[Thu, 03 Jun 2010 16:44:40 virt-manager 5149] ERROR (connection:145) Unable to connect to HAL to list network devices: '%s'dbus_bindings.DBusException Could not get owner of name 'org.freedesktop.Hal': no such name
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/connection.py", line 124, in __init__
    self.hal_iface.connect_to_signal("DeviceAdded", self._net_phys_device_added)
  File "/usr/lib64/python2.4/site-packages/dbus/_dbus.py", line 291, in connect_to_signal
    self._obj.connect_to_signal(signal_name, handler_function, dbus_interface, **keywords)
  File "/usr/lib64/python2.4/site-packages/dbus/proxies.py", line 151, in connect_to_signal
    path=self._object_path,
  File "/usr/lib64/python2.4/site-packages/dbus/_dbus.py", line 179, in add_signal_receiver
    named_service = bus_object.GetNameOwner(named_service, dbus_interface='org.freedesktop.DBus')
  File "/usr/lib64/python2.4/site-packages/dbus/proxies.py", line 25, in __call__
    ret = self._proxy_method (*args, **keywords)
  File "/usr/lib64/python2.4/site-packages/dbus/proxies.py", line 102, in __call__
    reply_message = self._connection.send_with_reply_and_block(message, timeout)
  File "dbus_bindings.pyx", line 455, in dbus_bindings.Connection.send_with_reply_and_block
DBusException: Could not get owner of name 'org.freedesktop.Hal': no such name
(0011412)
jm77 (reporter)
2010-06-03 22:09

It appears this entry is blanked out if haldaemon is not running. You should be able to run "lshal" and get some proper output.

If not, restart the haldaemon service.

- Issue History
Date Modified Username Field Change
2007-12-06 17:07 Amr_not_Amr New Issue
2008-01-02 09:08 miscreant Note Added: 0006628
2008-03-10 00:36 uranys Note Added: 0007008
2008-03-10 00:37 uranys File Added: connection.py.patch
2008-03-22 15:58 foxb Note Added: 0007053
2008-04-27 20:41 range Relationship added has duplicate 0002807
2008-05-08 15:46 guggi Note Added: 0007240
2010-06-03 21:48 jm77 Note Added: 0011411
2010-06-03 22:09 jm77 Note Added: 0011412


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker